Bug 990151 - Cartridge installation changes from upstream
Cartridge installation changes from upstream
Status: CLOSED DEFERRED
Product: OpenShift Container Platform
Classification: Red Hat
Component: Containers (Show other bugs)
1.2.1
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Brenton Leanhardt
libra bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-30 09:41 EDT by Jason DeTiberus
Modified: 2017-03-08 12 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-23 10:10:49 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jason DeTiberus 2013-07-30 09:41:42 EDT
Upstream has found various edge cases using %post and %posttrans to install the cartridges into the cartridge repository, as a result they are either going to be removing this completely (and relying on manual intervention), or they will be using some other method to ensure proper installation to the cartridge repository post rpm install.

This bug is to align OSE 2.0 with the new method that is chosen, as it will require changes to the installation/upgrade scripts and documentation if manual intervention is needed.
Comment 2 Brenton Leanhardt 2013-11-23 10:10:49 EST
I verified that restarting mcollective will automatically install cartridges found in /var/libexec/openshift/cartridges.

Note You need to log in before you can comment on or make changes to this bug.